Dialog Class Reference
Inheritance diagram for Dialog:

## Public Member Functions

| Dialog (QWidget *parent=0)
| The constructor sets the undo and redo to disable so it cant be pressed also sets the connections between the buttons and their respective signals.
| ~Dialog ()
| Destructor.

## Private Slots

void | on_frontcolorComboBox_activated (const QString &color)
| Sets the color of the brush. More...
void | on_backgroundComboBox_activated (const QString &color)
| Sets the color of the background. More...
void | on_lapizButton_clicked ()
| Sets the tool to dot.
void | on_cleargridButton_clicked ()
| Clears the grid. Erase the grid.
void | on_rowmajorfillButton_clicked ()
| Sets the tool to Row fill.
void | on_colmajorfillButton_clicked ()
| Sets the tool to Column fill.
void | on_diagonalleftButton_clicked ()
| Sets the tool to Diagonal Left fill.
void | on_diagonalrightButton_clicked ()
| Sets the tool to Diagonal Right fill.
void | on_drawsquareButton_clicked ()
| Sets the tool to paint Squares.
void | on_drawtriangleButton_clicked ()
| Sets the tool to paint Triangles.
void | on_drawcircleButton_clicked ()
| Sets the tool to paint Circles.
void | on_speedHorizontalSlider_valueChanged (int value)
| Sets the tool point size. More...
void | on_undoButton_clicked ()
| Undo the previous grid modification.
void | on_redoButton_clicked ()
| Redo the previous grid modification.
void | setUndo (bool cannot)
| Enables the undo button.
void | setRedo (bool cannot)
| Enables the redo button.

## Private Attributes

Ui::Dialog * | ui
GridWidget * | grid

## Member Function Documentation

void Dialog::on_backgroundComboBox_activated | ( | const QString & | color | ) |

privateslot

Sets the color of the background.

Parameters

  color | color del background

void Dialog::on_frontcolorComboBox_activated | ( | const QString & | color | ) |

privateslot

Sets the color of the brush.

Parameters

  color | color of the brush

void Dialog::on_speedHorizontalSlider_valueChanged | ( | int | value | ) |

privateslot

Sets the tool point size.

Parameters

  value | point size

The documentation for this class was generated from the following files:

- dialog.h
- dialog.cpp